#!/usr/bin/perl
my $file=@ARGV[0];

open (FILE,"$file");
$linenumber=1;
while (<FILE>) {
  if ( ! m/^.+,.+,.+,.+/ ) {
     chop $_;
     print STDERR "Syntax error in input file '$file' at line $linenumber. ";
     print STDERR "The format should be 'username,password,realname,group', ";
     print STDERR "for example:\n\n";
     print STDERR "fred,pw,Fred Flintstone,users\n\n";
     print STDERR "All four data items are required. ";
     print STDERR "Blank lines are not allowed, and the file must ";
     print STDERR "be in Unix text format.\n";
     exit 1;
  }
  $linenumber++;
}
close FILE;
