#!/usr/bin/perl
my $file=@ARGV[0];

open (FILE,"$file");
$linenumber=1;
while (<FILE>) {
  if ( ! m/^.+.*/ ) {
     chop $_;
     print STDERR "Syntax error in input file '$file' at line $linenumber. ";
     print STDERR "The format should be 'username' or ";
     print STDERR "'username,password,realname,group', ";
     print STDERR "for example:\n\n";
     print STDERR "fred\n\n";
     print STDERR "or\n\n";
     print STDERR "fred,pw,Fred Flintstone,users\n\n";
     print STDERR "Either format is accepted. Only the first comma separated ";
     print STDERR "data item is read, so the two examples ";
     print STDERR "are equivalent. Blank lines are not allowed, and the ";
     print STDERR "file must be in Unix text format.\n";
     exit 1;
  }
  $linenumber++;
}
close FILE;
